.\"	$NetBSD: tcopy.1,v 1.8 2003/08/07 11:16:06 agc Exp $
.\"
.\" Copyright (c) 1985, 1990, 1991, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     @(#)tcopy.1	8.2 (Berkeley) 4/17/94
.\"
.Dd April 17, 1994
.Dt TCOPY 1
.Os
.Sh NAME
.Nm tcopy
.Nd copy and/or verify mag tapes
.Sh SYNOPSIS
.Nm
.Op Fl cvx
.Op Fl s Ar maxblk
.Oo Ar src Op Ar dest
.Oc
.Sh DESCRIPTION
.Nm
is designed to copy magnetic tapes.
The only assumption made
about the tape is that there are two tape marks at the end.
.Nm
with only a source tape
.Pf ( Ar /dev/rst0
by default) specified will print
information about the sizes of records and tape files.
If a destination
is specified a copy will be made of the source tape.
The blocking on the
destination tape will be identical to that used on the source tape.
Copying
a tape will yield the same output as if just printing the sizes.
.Pp
Options:
.Bl -tag -width s_maxblk
.It Fl c
Copy
.Ar src
to
.Ar dest
and then verify that the two tapes are identical.
.It Fl s Ar maxblk
Specify a maximum block size,
.Ar maxblk .
.It Fl v
Given the two tapes,
.Ar src
and
.Ar dest
verify that they are identical.
.It Fl x
Output all informational messages to the standard error.
This option is useful when
.Ar dest
is
.Pa /dev/stdout .
.El
.Sh SEE ALSO
.Xr mtio 4
.Sh HISTORY
The
.Nm
command appeared in
.Bx 4.3 .
